Anyone know how to move a section plane in set increments?
-
Hey there - bit of a newb here, but familiar with 3d modelling....
so i want to make a 3d cardboard sculpture of a 3d person found in the warehouse....the model will be made my creating a section plane, (plane parallel to the ground) and moving it up in 1/8" increments (thickness of cardboard) until i reach the head. Each increment will be displayed via data projector onto successive sheets of cardboard, traced, and cut out then glued to the previous.....going to be tedious, but the first step is to set/control the movement of the section cut plane.....HELP!
-
This plugin may be helpful... Slicer by TIG
-
thanks for the suggestion.........dl'd and installed - only to find out that the object i have chosen (tried others as well) can not be sliced with Slicer as it is not a manifold solid....thoughts?
-
Also Andrew's Vozelize plugin may give you ideas.
EDIT: I went of into Ruby scripting from here on out. If you need to do repetitive tasks, scripting is the way. If your not ready.. then yes you'll need to use someone else's script. If it does not work exactly the way you need, you ask the author to modify it (or someone else if they have time.)
Answer: Yes. You can move the
SectionPlane
up in increments using a Geom::Transformation instance.
Also, since your using theSectionPlane
"as a tool" you do not need to have it's movements recorded on the undo stack, so use themove!()
method.Assume
secplane
is a handle on yourSectionPlane
instance, andmodel
a handle on the active model.vec_eighth_up = Geom::Vector3d.new( 0, 0, 0.125.inch ) one_eighth_up = Geom::Transformation.new( vec_eighth_up ) spgroup = model.active_entities.add_group(secplane)
Then each time you wish to move the plane ...
spgroup.move!(one_eighth_up)
Create your cutout and repeat the move until done.
ADD: Further discussion on scripting this task should be moved to the Developers' forum.
-
-
Yea.. I looked at TIG's slicer plugin, and that is exactly what he needs.
Whoopsie! Only manifold solids? hmmmm...
Then a new script will need to be written, or TIG will need to modify that one. Sorry.
Advertisement